# StorageSmoke
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage

## Class StorageSmoke

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage.StorageSmoke

    public class StorageSmoke
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StorageSmoke(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, java.lang.String particleName, java.lang.Boolean enabled)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getParticleName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageSmoke

    public StorageSmoke(java.lang.Double xOffset,
                        java.lang.Double yOffset,
                        java.lang.Double zOffset,
                        java.lang.String particleName,
                        java.lang.Boolean enabled)

### Method Detail

#### getParticleName

    public java.lang.String getParticleName()